Subject: Re: Input Handlers
From: [email-masked] (Doug Walker)
Date: 19 Feb 93 14:52:23 GMT
Newsgroups: comp.sys.amiga.programmer

In article <bookie.730093668@teal>, [email-masked] (Wayne Hannam) writes:
|> 
|> I am attempting to write an Input Handler for the input device in 'C' using
|> SAS 6.2, does anyone out there have some example code I could peek at, my
|> attempts keep failing in a locked system.This seems like it should be
|> relitivley simple stuff, but for some reason the truth of the matter is
|> that it is not, and I am at wits end.  Please HELP, TIA

Check out SC:EXAMPLES/CBACK/SCHELP.C .  It's got an example of an
input handler.

Make sure you are compiling with the NOSTACKCHECK option, or
declaring your input handler with the __interrupt keyword (or both).
Also, you probably want to declare it with __saveds if you want
to access string literals or global data.